/** ****核心AJAX部分开始***** */
$(document).ready(function () {
$("#upload").click(function (e) {
	var formData = new FormData($('#upload_form')[0]);
	$.ajax({
	    url: '/lineFiles/upload',
	    type: 'post',
	    data: formData,
	    dataType: 'json',
	    processData: false,
	    contentType: false,
	    xhr: function () {
	        var xhr = $.ajaxSettings.xhr();
	        if (xhr.upload) {
	         // 处理进度条的事件
	            xhr.upload.addEventListener("progress", progressHandle, false);
	            // 加载完成的事件
	            xhr.addEventListener("load", completeHandle, false);
	            // 加载出错的事件
	            xhr.addEventListener("error", failedHandle, false);
	            // 加载取消的事件
	            xhr.addEventListener("abort", canceledHandle, false);
	            // 开始显示进度条
	            showProgress();
	            return xhr;
	        }
	    }, success: function (data) {
	        if (data.code == 200) {
	            alert('添加资源成功');
	        } else {
	            alert(data.msg);
	        }
	    }
	});
});});
/** ****核心AJAX部分结束***** */
// 显示进度条的函数
function showProgress() {
    $(".progress-body").css("display", "block");
}
// 隐藏进度条的函数
function hideProgress() {
    $('.progress-body>.progress-speed', window.parent.document).html("0 bytes");
    $('.progress-body>.progress-info', window.parent.document).html("资料正准备上传");
    $(".progress-body", window.parent.document).css("display", "none");
}
// 进度条更新
function progressHandle(e) {        
    $('.progress-body progress').attr({value: e.loaded, max: e.total});
    var percent = e.loaded / e.total * 100;
    $('.progress-body>.progress-speed').html(((e.loaded / 1024) / 1024).toFixed(2) + "/" + ((e.total / 1024) / 1024).toFixed(2) + " MB. " + percent.toFixed(2) + "%");
    if (percent == 100) {
        $('.progress-body>.progress-info').html("上传完成,后台正在处理...");
    } else {
        $('.progress-body>.progress-info').html("资料上传ing...");
    }
};
// 上传完成处理函数
function completeHandle(e) {
    $('.progress-body>.progress-info').html("上传资料完成");
    setTimeout(hideProgress, 2000);
};
// 上传出错处理函数
function failedHandle(e) {
    $('.progress-body>.progress-info', window.parent.document).html("上传资源出错");
};
// 上传取消处理函数
function canceledHandle(e) {
    $('.progress-body>.progress-info', window.parent.document).html("上传资源取消");
};