/*!
 * Start Bootstrap - SB Admin 2 v4.0.3 (https://startbootstrap.com/template-overviews/sb-admin-2)
 * Copyright 2013-2020 Start Bootstrap
 * Licensed under MIT (https://github.com/BlackrockDigital/gaokao_qhd/blob/master/LICENSE)
 */

"use strict";

var timer;
// Call the dataTables jQuery plugin
($(document).ready(function() {
	$("#payment").click(function(e) {
		var goodsId = $("#goodsId").val();
		$.post("/pay/createGoodsOrder", {
			productId : goodsId
		}, function(data) {
			if(data.code == 200){
				$('#picture').qrcode(data.msg);
				checkOrder();
			}else{
				alert(data.msg);
			}
		});
	});

	$("#download").click(function(e) {
		var goodsId = $("#goodsId").val();
		var url = "/goods/search/download";
		var $form = $("<form id='download1' class='hidden' method='post'></form>");
		$form.attr("url",url);
		$form.attr('action',url);
		$(document.body).append($form);
		var $input1 = $("<input name='goodsNo' type='text'></input>");
		$input1.val(goodsId);
		$("#download1").append($input1);
		$form.submit();
		$form.remove();
	});
	
	function checkOrder(){
		var goodsId = $("#goodsId").val();
		timer = setInterval(function(){
		　　$.post("/order/checkStatus", {
				goodsId : goodsId
			}, function(data) {
				if(data.code == 200){
					$("#payment").css('display','none');
					$("#download").css('display','inline-block'); 
					clearInterval(timer);
				}
			});
		},5000);
	}
}));